require "spec_helper"

describe SpecTest do
  let(:watir_browser) { mock_browser_with_watir }
  let(:selenium_browser) { mock_browser_with_selenium }
  let(:watir_page) { PageTester.new(watir_browser) }
  let(:selenium_page) { PageTester.new(selenium_browser) }

  describe "in terms of browser-level functionality" do
    context "when using the watir platform" do
      it "a page can be navigated to" do
        watir_browser.should_receive(:goto).with("testerstories.com")
        watir_page.navigate_to("testerstories.com")
      end
    end

    context "when using the selenium platform" do
      it "a page can be navigated to" do
        selenium_browser.stub_chain(:navigate, :to).with("testerstories.com")
        selenium_page.navigate_to("testerstories.com")
      end
    end
  end
end