require "spec_helper"

describe SpecTest do
  let(:watir_browser) { mock_browser_with_watir }
  let(:selenium_browser) { mock_browser_with_selenium }
  let(:watir_page) { PageTester.new(watir_browser) }
  let(:selenium_page) { PageTester.new(selenium_browser) }

  describe "in terms of page-level functionality" do
    context "when using the watir platform" do
      it "the title of the page will be accessible" do
        watir_browser.should_receive(:title).and_return("Page Title")
        watir_page.title.should == "Page Title"
      end

      it "the text of the page will be accessible" do
        watir_browser.should_receive(:text).and_return("page text")
        watir_page.text.should == "page text"
      end
    end

    context "when using the selenium platform" do
      it "the title of the page will be accessible" do
        selenium_browser.should_receive(:title).and_return("Page Title")
        selenium_page.title.should == "Page Title"
      end

      it "the text of the page will be accessible" do
        selenium_browser.stub_chain(:find_element, :text).and_return("page text")
        selenium_page.text.should == "page text"
      end
    end
  end
end