require "spec_helper"

describe SpecTest::Platforms::SeleniumWebDriver do
  it "should be in the platform objects driver list" do
    SpecTest::Platforms.list[:selenium_webdriver].should be SpecTest::Platforms::SeleniumWebDriver
  end

  describe "and when used to create a platform object" do
    let(:browser) { double('browser') }
    let(:platform) { SpecTest::Platforms::SeleniumWebDriver.create_platform_object_for(browser) }

    it "a SeleniumPlatformObject should be created" do
      platform.should be_kind_of SpecTest::Platforms::SeleniumWebDriver::PlatformObject
    end
  end

  describe "and when checking if the platform can be associated with a browser" do
    it "if the browser is of type Selenium::WebDriver, the platform will be associated " do
      browser = mock_browser_with_selenium()
      SpecTest::Platforms::SeleniumWebDriver.works_for?(browser).should be true
    end

    it "if the browser is not of type Selenium::WebDriver, the platform will not be associated" do
      browser = "false_browser"
      SpecTest::Platforms::SeleniumWebDriver.works_for?(browser).should be false
    end
  end
end