require "spec_helper"

describe SpecTest::Platforms::WatirWebDriver do
  it "should be in the platform objects driver list" do
    SpecTest::Platforms.list[:watir_webdriver].should be SpecTest::Platforms::WatirWebDriver
  end

  describe "and when used to create a platform object" do
    let(:browser) { double('browser') }
    let(:platform) { SpecTest::Platforms::WatirWebDriver.create_platform_object_for(browser) }

    it "a WatirPlatformObject should be created" do
      platform.should be_kind_of SpecTest::Platforms::WatirWebDriver::PlatformObject
    end

    it "the browser should be associated with the platform object" do
      platform.browser.should be browser
    end
  end

  describe "and when checking if the platform can be associated with a browser" do
    it "if the browser is of type Watir::Browser, the platform will be associated " do
      browser = mock_browser_with_watir()
      SpecTest::Platforms::WatirWebDriver.works_for?(browser).should be true
    end

    it "if the browser is not of type Watir::Browser, the platform will not be associated" do
      browser = "false_browser"
      SpecTest::Platforms::WatirWebDriver.works_for?(browser).should be false
    end
  end
end