require "spec_helper"

describe "web objects can be used by the selenium platform" do
  let(:selenium_browser) { double('selenium_browser') }
  let(:web_object) { SpecTest::WebObjects::WebObject.new(selenium_browser, :platform => :selenium_webdriver) }

  context "and that means" do
    it "it should be possible to tell when an object is visible" do
      selenium_browser.stub(:displayed?).and_return(true)
      web_object.visible?.should == true
    end

    it "it should be possible to tell when an object exists" do
      selenium_browser.stub(:exists?).and_return(true)
      web_object.exists?.should == true
    end

    it "it should be possible to tell when an object is not visible" do
      selenium_browser.should_receive(:displayed?).and_return(false)
      web_object.visible?.should == false
    end

    it "it should be possible to tell when an object does not exist" do
      web_object = SpecTest::WebObjects::WebObject.new(nil, :platform => :selenium_webdriver)
      selenium_browser.stub(:exists?).and_return(false)
      selenium_browser.stub(:nil?).and_return(true)
      web_object.exists?.should == false
    end
  end

end