require "spec_helper"

describe "web objects can be used by the watir platform" do
  let(:watir_browser) { double('watir_browser') }
  let(:web_object) { SpecTest::WebObjects::WebObject.new(watir_browser, :platform => :watir_webdriver) }

  context "and that means" do
    it "it should be possible to tell when an object is visible" do
      watir_browser.stub(:present?).and_return(true)
      watir_browser.stub(:displayed?).and_return(true)
      web_object.visible?.should == true
    end

    it "it should be possible to tell when an object exists" do
      watir_browser.stub(:exists?).and_return(true)
      web_object.exists?.should == true
    end

    it "it should be possible to tell when an object is not visible" do
      watir_browser.stub(:present?).and_return(false)
      watir_browser.stub(:displayed?).and_return(false)
      web_object.visible?.should == false
    end

    it "it should be possible to tell when an object does not exist" do
      watir_browser.stub(:exists?).and_return(false)
      watir_browser.stub(:nil?).and_return(true)
      web_object.exists?.should == false
    end
  end
end