Given /^I have gone to the test app site$/ do
  @page = LandingPage.new(@browser, true)
  #@page.navigate_to("http://localhost:1234")
end

Given /^I am on the landing page$/ do
  step %{I have gone to the test app site}
end

Given /^I am on the form examples page$/ do
  step %{I have gone to the test app site}
  @page.form_examples
  @page = FormExamplesPage.new(@browser)
end

Given /^I am on the iframe elements page$/ do
  step %{I have gone to the test app site}
  @page.iframe_examples
  @page = IFrameExamplesPage.new(@browser)
end

Then /^I should be on the landing page$/ do
  #@page.text.should match(/^Landing Page$/)
  #@page.title.should match(/^Test App$/)
  @page.text.should contain("Landing Page")
  @page.title.should have_title("Test App")
end

Then /^I should be on the static text examples page$/ do
  @page = StaticExamplesPage.new(@browser)
  @page.text.should contain("Static Text Page")
  @page.title.should have_title("Static Text Testing")
end

Then /^I should be taken to the first success page$/ do
  @page = Success1Page.new(@browser)
  @page.text.should contain("first success page")
end

Then /^I should be taken to the first success page within the static frame$/ do
  @page.is_enclosed_by(:id => "static") do |frame|
    @page = Success1Page.new(@browser)
    @page.text.should contain("first success page")
  end
end

Then /^I should be taken to the first success page within the form frame$/ do
  @page.is_enclosed_by(:id => "form") do |frame|
    @page = Success1Page.new(@browser)
    @page.text.should contain("first success page")
  end
end